GET /logistics/vrp/2.0.0/status
OpenAPI Specification
2GIS Navigation API (6.0.0)
Task status and solution
Get the status of the task and the solution if it is available
query Parameters
| task_id required | string Task ID |
| key required | string Developer API key |
Responses
Response Schema: application/json
| task_id required | string Task identifier |
required | object Task status |
RoutingResult (object) or null Result |
Response samples
- 200
- 204
- 402
- 403
- 422
- 429
Content type
application/json
{- "task_id": "string",
- "status": {
- "status": "Run",
- "queued": "string",
- "started": "string",
- "matrix_downloaded": "string",
- "calculated": "string",
- "completed": "string"
}, - "result": {
- "metrics": {
- "number_of_routes": 0,
- "used_agents": 0,
- "dropped_waypoints_count": 0,
- "max_agent_runs": 0,
- "total_duration_s": 0,
- "total_service_duration_s": 0,
- "total_early_count": 0,
- "total_early_duration_s": 0,
- "total_distance_m": 0
}, - "options": {
- "routing_type": "driving",
- "route_type": "jam",
- "date": "2019-08-24",
- "time_zone": "UTC",
- "road_filters": [
- "dirt_road"
], - "allow_locked_roads": true,
- "exclude": [
- {
- "type": "point",
- "points": [
- {
- "x": 0.1,
- "y": 0.1
}
], - "extent": 0,
- "severity": "soft"
}
], - "truck_params": {
- "max_perm_mass": 3.5,
- "mass": 3.5,
- "axle_load": 1.5,
- "height": 2,
- "width": 2.1,
- "length": 3.8,
- "dangerous_cargo": false,
- "explosive_cargo": false
}, - "pass_zone_pass_ids": [
- 0
], - "need_altitudes": true,
- "solver_time_limit_s": 3600
}, - "routes": [
- {
- "route": [
- {
- "arrival_time": "string",
- "departure_time": "string",
- "node": {
- "type": "agent",
- "value": {
- "waypoint_id": "string"
}
}, - "service_start_time": "string",
- "waiting_duration_s": 0,
- "transit_duration_s": 0,
- "transit_distance_m": 0
}
], - "run_number": 0,
- "agent_id": "string",
- "duration_s": 0,
- "distance_m": 0
}
], - "dropped_waypoints": [
- {
- "id": "string",
- "reason": "string"
}
], - "dropped_agents": [
- {
- "id": "string",
- "reason": "string"
}
]
}
}